osl::eval::ml::PromotedMinorPieces Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | Friends | List of all members
osl::eval::ml::PromotedMinorPieces Class Reference

`#include <minorPiece.h>`

Collaboration diagram for osl::eval::ml::PromotedMinorPieces:
[legend]

## Public Types
enum | { ONE_DIM = 9, DIM = ONE_DIM * EvalStages }

## Public Member Functions
template<int Sign>
void | adjust (int index, int index_attack, int index_defense, MultiInt &result)
template<osl::Player P>
void | evalOne (const NumEffectState &state, const PieceMask promoted, MultiInt &result)

## Static Public Member Functions
static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)
static MultiInt | evalWithUpdate (const NumEffectState &state, Move moved, const MultiInt &last_values)
template<int Sign>
static void | adjust (int index, int index_attack, int index_defense, MultiInt &result)

## Static Private Member Functions
template<Player P>
static void | evalOne (const NumEffectState &state, const PieceMask promoted, MultiInt &result)
template<bool attack, Player owner>
static int | indexY (const Square king, int x_diff)

## Static Private Attributes
static CArray< MultiInt, 9 > | table
static CArray< MultiInt, 162 > | y_table

## Friends
class | PromotedMinorPiecesY

## Detailed Description

Definition at line 884 of file minorPiece.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 888 of file minorPiece.h.

## Member Function Documentation

template<int Sign>

static void osl::eval::ml::PromotedMinorPieces::adjust | ( | int | index,
|  | int | index_attack,
|  | int | index_defense,
|  | MultiInt & | result
| ) |  |
| static

template<int Sign>

void osl::eval::ml::PromotedMinorPieces::adjust | ( | int | index,
|  | int | index_attack,
|  | int | index_defense,
|  | MultiInt & | result
| ) |  |
| inline

Definition at line 985 of file minorPiece.cc.

References osl::eval::ml::ppair::y_table.

MultiInt osl::eval::ml::PromotedMinorPieces::eval | ( | const NumEffectState & | state) |  |
| static

Definition at line 1069 of file minorPiece.cc.

References osl::BISHOP, result, and osl::ROOK.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

template<Player P>

static void osl::eval::ml::PromotedMinorPieces::evalOne | ( | const NumEffectState & | state,
|  | const PieceMask | promoted,
|  | MultiInt & | result
| ) |  |
| staticprivate

template<osl::Player P>

void osl::eval::ml::PromotedMinorPieces::evalOne | ( | const NumEffectState & | state,
|  | const PieceMask | promoted,
|  | MultiInt & | result
| ) |  |

Definition at line 995 of file minorPiece.cc.

References adjust(), osl::BLACK, result, osl::Piece::square(), and osl::Square::x().

MultiInt osl::eval::ml::PromotedMinorPieces::evalWithUpdate | ( | const NumEffectState & | state,
|  | Move | moved,
|  | const MultiInt & | last_values
| ) |  |
| static

Definition at line 1084 of file minorPiece.cc.

References osl::captured(), osl::Move::capturePtype(), osl::isMajor(), osl::isPromoted(), osl::KING, osl::Move::ptype(), and osl::PTYPE_EMPTY.

Referenced by osl::eval::ml::OpenMidEndingEval::updateSub().

template<bool attack, Player owner>

static int osl::eval::ml::PromotedMinorPieces::indexY | ( | const Square | king,
|  | int | x_diff
| ) |  |
| inlinestaticprivate

Definition at line 904 of file minorPiece.h.

References osl::BLACK, and osl::Square::y().

void osl::eval::ml::PromotedMinorPieces::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 964 of file minorPiece.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

## Friends And Related Function Documentation

friend class PromotedMinorPiecesY
| friend

Definition at line 886 of file minorPiece.h.

## Member Data Documentation

osl::misc::CArray< MultiInt, 9 > osl::eval::ml::PromotedMinorPieces::table
| staticprivate

Definition at line 909 of file minorPiece.h.

osl::misc::CArray< MultiInt, 162 > osl::eval::ml::PromotedMinorPieces::y_table
| staticprivate

Definition at line 910 of file minorPiece.h.

Referenced by osl::eval::ml::PromotedMinorPiecesY::setUp().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc